#include "tobject.h"
#include "exceptions/exceptionnoimplementation.h"

const char* TObject::type="TObject";

const char* TObject::getType() const
{
	return TObject::type;
}

bool TObject::hasParent(const char* className) const
{
	return false;
}

bool TObject::compareTo(TObject* object) const
{
	throw new ExceptionNoImplementation(getType(),"compareTo");
}

const string& TObject::toString() const
{
	return *(new string(TObject::type));
}

TObject* TObject::clone()
{
	return 0;
}
